STRCASESTR(3)

NAME
strcasestr - case-insensitive character string search

SYNOPSIS

#include <string.h>

char *strcasestr(const char *s, const char *find);

DESCRIPTION

strcasestr searchs the string s for the first occurrence of the sequence find. strcasestr is identical to strstr except the search is case-insensitive.

RETURNS

A pointer to the first case-insensitive occurrence of the sequence find or NULL if no match was found.

PORTABILITY

strcasestr is in the Berkeley Software Distribution.

strcasestr requires no supporting OS subroutines. It uses tolower() from elsewhere in this library.